=== debian/changelog ===
ros-indigo-mapviz (1.1.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-indigo-mapviz (1.0.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-indigo-mapviz (1.0.0-0trusty) trusty; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Contributors: Davide Faconti

 -- Marc Alban <malban@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-indigo-mapviz (0.3.0-0trusty) trusty; urgency=high

  * Merge all -devel branches into a single master branch
  * Add function to lock canvas movement (#596 <https://github.com/swri-robotics/mapviz/issues/596>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-indigo-mapviz (0.2.6-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 31 Jul 2018 05:00:00 -0000

ros-indigo-mapviz (0.2.5-0trusty) trusty; urgency=high

  * Add clear history functionality.
  * New plugin to send commands to move_base
  * improve text contrast (#550 <https://github.com/swri-robotics/mapviz/issues/550>)
  * Glew warning fixed (#539 <https://github.com/swri-robotics/mapviz/issues/539>)
  * remove copy and paste of Print...
  * add context menu to config_item (#526 <https://github.com/swri-robotics/mapviz/issues/526>)
  * Merge pull request #523 <https://github.com/swri-robotics/mapviz/issues/523> from matt-attack/add-keyboard-input-support-kinetic
  * Add keyboard input support for plugins
  * update to use non deprecated pluginlib macro
  * Fix the "File" menu actions (#513 <https://github.com/swri-robotics/mapviz/issues/513>)
  * Merge pull request #481 <https://github.com/swri-robotics/mapviz/issues/481> from pjreed/threaded-video-recording-kinetic
  * Move video recording into its own thread
  * Contributors: Davide Faconti, Marc Alban, Matthew Bries, Mikael Arguedas, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 12 Apr 2018 05:00:00 -0000

ros-indigo-mapviz (0.2.4-0trusty) trusty; urgency=high

  * Add basic profiling to mapviz.
  * Handle GL canvas transforms with an invalid target frame
  * Add parameter to disable auto-saving functionality.
  * Contributors: Elliot Johnson, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 11 Aug 2017 05:00:00 -0000

ros-indigo-mapviz (0.2.3-0trusty) trusty; urgency=high

  * Fix mapviz kinetic build. (#456 <https://github.com/evenator/mapviz/issues/456>)
    Add a missing rosdep dependency on libxi-dev.
  * Contributors: Edward Venator

 -- Marc Alban <malban@swri.org>  Sat, 10 Dec 2016 06:00:00 -0000

ros-indigo-mapviz (0.2.2-0trusty) trusty; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-indigo-mapviz (0.2.1-0trusty) trusty; urgency=high

  * Add a GUI for controlling the Image Transport (#432 <https://github.com/swri-robotics/mapviz/issues/432>)
    This will add a sub-menu under the "View" menu that will:
    - List all available image transports
    - Indicate which one is currently the default
    - Allow the user to choose which one will be used for new ImageTransport subscriptions
    - Save and restore this setting to Mapviz's config file
    - Cause any image plugins using the default transport to resubscribe
    In addition, the image plugin now has a menu that can be used to change the
    transport for that specific plugin so that it is different from the default.
    Fixes #430 <https://github.com/swri-robotics/mapviz/issues/430>
    Conflicts:
    mapviz/package.xml
  * Fix icon colors for point drawing plugins (#433 <https://github.com/swri-robotics/mapviz/issues/433>)
    This was probably broken back when all of these were refactored to have a
    single base class.  It looks like the member variable that holds the color
    used to draw the icon was never actually being updated.
    Fixes #426 <https://github.com/swri-robotics/mapviz/issues/426>
  * Remove unnecessary include
  * Fix warnings in mapviz.
    Fix several reorder and signed comparison warnings in the mapviz
    package.
  * Giving tile_map an interface overhaul
    MapQuest has turned off their public API for map tiles, so this plugin needed some work.  I have:
    - Removed the MapQuest sources
    - Made the interface for adding new sources more powerful
    - Overhauled how sources are saved and loaded under the hood
    - Added a button to reset the current tile cache
    Resolves #402 <https://github.com/swri-robotics/mapviz/issues/402>
    Conflicts:
    tile_map/CMakeLists.txt
  * Adding a dialog for selecting services by type
    This dialog is similar to the ones for listing topics or TF frames, but it is
    a little different under the hood.  Notably:
    - It relies on the rosapi node in order to be able to search for services
    - Since searching is done via a service call, ROS communication is handled
    on a separate thread that will not block the GUI
    - Unlike topics, only searching for a single service type is supported
    Conflicts:
    mapviz/package.xml
  * Adding a way for plugin config widgets to resize
    - Adding an event plugins can emit to indicate their geometry has changed
    - Modifying the PCL2 plugin to use it as an example
    Fixes #393 <https://github.com/swri-robotics/mapviz/issues/393>
  * Adding a button to reset the location and zoom level
    This adds an icon on the right side of Mapviz's status bar tthat will reset
    the view to the default zoom level and center it on the origin of the target
    frame.
    Resolves #371 <https://github.com/swri-robotics/mapviz/issues/371>
  * Contributors: Ed Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-indigo-mapviz (0.2.0-0trusty) trusty; urgency=high

  * Update mapviz to qt5
  * Adding a Q_OBJECT declaration to MapvizPlugin

